> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List connect passkeys

> Lists all passkeys for a user identifier by a [Corbado Connect](https://docs.corbado.com/corbado-connect) token.



## OpenAPI

````yaml https://frontendapi.cloud.corbado.io/v2/openapi.yaml post /v2/connect/manage/list
openapi: 3.0.3
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
  - name: OIDC
    description: All API calls that are related to OpenID Connect
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
paths:
  /v2/connect/manage/list:
    post:
      tags:
        - CorbadoConnect
      summary: List connect passkeys
      description: >-
        Lists all passkeys for a user identifier by a [Corbado
        Connect](https://docs.corbado.com/corbado-connect) token.
      operationId: ConnectManageList
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/connectManageListReq'
      responses:
        '200':
          description: Contains all passkeys for a user.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connectManageListRsp'
components:
  schemas:
    connectManageListReq:
      type: object
      required:
        - connectToken
      properties:
        connectToken:
          type: string
        mode:
          type: string
          enum:
            - default
            - post-delete
            - post-append
    connectManageListRsp:
      type: object
      required:
        - passkeys
        - rpID
        - userID
        - signalAllAcceptedCredentials
      properties:
        passkeys:
          type: array
          items:
            $ref: '#/components/schemas/passkey'
        rpID:
          type: string
        userID:
          type: string
        signalAllAcceptedCredentials:
          type: boolean
    passkey:
      type: object
      required:
        - id
        - credentialID
        - attestationType
        - transport
        - backupEligible
        - backupState
        - authenticatorAAGUID
        - aaguidDetails
        - sourceOS
        - sourceBrowser
        - lastUsed
        - created
        - status
        - createdMs
        - lastUsedMs
        - tags
      properties:
        id:
          type: string
          example: cre-12345
        credentialID:
          type: string
        attestationType:
          type: string
        transport:
          type: array
          items:
            type: string
            enum:
              - usb
              - nfc
              - ble
              - internal
              - hybrid
              - smart-card
        backupEligible:
          type: boolean
        backupState:
          type: boolean
        authenticatorAAGUID:
          type: string
        sourceOS:
          type: string
        sourceBrowser:
          type: string
        lastUsed:
          type: string
          description: >-
            Timestamp of when the passkey was last used in yyyy-MM-dd'T'HH:mm:ss
            format
        created:
          description: >-
            Timestamp of when the entity was created in yyyy-MM-dd'T'HH:mm:ss
            format
          type: string
        status:
          type: string
          enum:
            - pending
            - active
          description: Status
        aaguidDetails:
          $ref: '#/components/schemas/aaguidDetails'
        createdMs:
          type: integer
          format: int64
          description: Unix timestamp of when the passkey was created (in milliseconds)
        lastUsedMs:
          type: integer
          format: int64
          description: Unix timestamp of when the passkey was last used (in milliseconds)
        tags:
          type: array
          items:
            type: string
          description: Tags attached to a passkey (e.g. synced or hybrid)
    aaguidDetails:
      type: object
      required:
        - name
        - iconLight
        - iconDark
      properties:
        name:
          type: string
        iconLight:
          type: string
        iconDark:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`

````